Bug 6703 - [PATCH] libdirectfb: license is LGPL, not GPL
: [PATCH] libdirectfb: license is LGPL, not GPL
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libdirectfb)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
: 12448
  Show dependency tree
 
Reported: 2005-04-27 23:29 by
Modified: 2013-08-16 12:40 (History)


Attachments
trivial patch :) (596 bytes, patch)
2006-12-30 13:21, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-27 23:29:21
Steps to Reproduce:
$ rpm -q --qf '%{LICENSE}\n' libdirectfb
GPL
$
Actual Results:  
$ head -1 DirectFB-0.9.17/COPYING
                  GNU LESSER GENERAL PUBLIC LICENSE
$
------- Comment #1 From 2006-08-10 11:07:48 -------
reassign
------- Comment #2 From 2006-09-14 00:37:43 -------
Валер, я даже changelog придумаю %)
Типа, - fix #6703 (license is LGPL, not GPL)
------- Comment #3 From 2006-12-30 13:21:59 -------
Created an attachment (id=1740) [details]
trivial patch :)

PS: вообще на сайте 1.0.0rc2, судя по NEWS -- особых бомбометаний не
производилось; с другой стороны, в Debian unstable и Gentoo пока тоже 0.9.25.1.
------- Comment #4 From 2007-02-21 15:12:58 -------
новому мантейнеру
------- Comment #5 From 2007-06-03 02:16:48 -------
Ну так что с багой? Давайте фиксить?! :)
------- Comment #6 From 2007-06-03 02:58:19 -------
Скоро собиру новую версию и исправлю эту страшную багу.
------- Comment #7 From 2011-01-04 14:10:20 -------
(В ответ на комментарий №6)
> Скоро собиру новую версию и исправлю эту страшную багу.

Хорошо бы ;)
------- Comment #8 From 2013-08-15 18:25:05 -------
Отправил 1.1.0-alt4.1.qa2, вообще на сайте с месяц как 1.7.0.
------- Comment #9 From 2013-08-15 18:38:53 -------
directfb-1.1.0-alt4.1.qa2 -> sisyphus:

* Thu Aug 15 2013 Michael Shigorin <mike@altlinux> 1.1.0-alt4.1.qa2
- NMU: fixed License: (closes: #6703)
------- Comment #10 From 2013-08-15 21:57:18 -------
directfb: "@nobody" -> "mike @everybody"

Оп-па...